Bug 182249 - SA18944 CherryPy "staticfilter" Directory Traversal Vulnerability
SA18944 CherryPy "staticfilter" Directory Traversal Vulnerability
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-cherrypy (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gijs Hollestelle
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 08:28 EST by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: python-cherrypy-2.1.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-25 05:29:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2006-02-21 08:28:04 EST
"A vulnerability has been reported in CherryPy, which can be exploited by
malicious people to disclose potentially sensitive information."

"The vulnerability has been reported in versions prior to 2.1.1."
Comment 1 Gijs Hollestelle 2006-02-21 13:12:54 EST
I'll update the package in extras to 2.1.1 later today.
Comment 2 Gijs Hollestelle 2006-02-25 05:29:01 EST
Okay now the build system has been fixed, package updates have been built and
should be released for FC3, FC4 and FC5 (devel).

Note You need to log in before you can comment on or make changes to this bug.